import { css } from "@linaria/core";
import { string } from "vue-types";
import { useCompData } from ".";
import { Text } from "../../../basicUI";
import { createUIComp } from "../../../defines/createUIComp";

export const Component = createUIComp({
  props: {
    compId: string().isRequired,
  },
  setup(props) {
    const { children } = useCompData(props.compId);

    return () => (
      <div class="flex flex-col items-center">
        <Text.Component
          class=""
          compId={children.title?.id}
        />
        <Text.Component
          class=""
          compId={children.subtitle?.id}
        />
      </div>
    );
  },
});

const border = css`
  position: relative;
  color: #999;
  &::after {
    content: "";
    position: absolute;
    bottom: 50%;
    width: 100%;
    height: 1px;
    background-color: currentColor;
  }
  &.left {
    &::after {
      left: 0.06rem;
    }
  }
  &.right {
    &::after {
      left: -0.06rem;
    }
  }
`;
